[Overview][Constants][Types][Classes][Index] | Reference for unit 'syncobjs' (#fcl)

# TCriticalSection.Acquire

Enter the critical section

## Declaration

Source position: syncobjs.pp line 46

`public procedure TCriticalSection.Acquire; override;`

## Description

Acquire attempts to enter the critical section. It will suspend the calling thread if the critical section is in use by another thread, and will resume as soon as the other thread has released the critical section.

## See also

Release |  | Leave the critical section